Index: apps/Makefile
===================================================================
RCS file: /usr/cvsroot/asterisk/apps/Makefile,v
retrieving revision 1.14
diff -u -r1.14 Makefile
--- apps/Makefile	28 Aug 2003 16:42:15 -0000	1.14
+++ apps/Makefile	2 Sep 2003 20:21:37 -0000
@@ -11,10 +11,11 @@
 # the GNU General Public License
 #

-USE_MYSQL_VM_INTERFACE=0
+USE_MYSQL_VM_INTERFACE=1

 MLFLAGS=
 ifeq ($(USE_MYSQL_VM_INTERFACE),1)
+CFLAGS+=-DUSEMYSQLVM
 CFLAGS+=$(shell if [ -d /usr/local/mysql/include ]; then echo "-I/usr/local/mysql/include"; fi)
 CFLAGS+=$(shell if [ -d /usr/include/mysql ]; then echo "-I/usr/include/mysql"; fi)
 CFLAGS+=$(shell if [ -d /usr/local/include/mysql ]; then echo "-I/usr/local/include/mysql"; fi)
@@ -65,7 +66,11 @@
 	$(CC) -shared -Xlinker -x -o $@ $&lt; -L/usr/local/ssl/lib -lssl -lcrypto

 app_voicemail2.so : app_voicemail2.o
+ifeq ($(USE_MYSQL_VM_INTERFACE),1)
+	$(CC) -shared -Xlinker -x -o $@ $(MLFLAGS) $&lt; -lmysqlclient -lz
+else
 	$(CC) -shared -Xlinker -x -o $@ $(MLFLAGS) $&lt;
+endif

 app_sql_postgres.o: app_sql_postgres.c
 	$(CC) -pipe -I/usr/local/pgsql/include $(CFLAGS) -c -o app_sql_postgres.o app_sql_postgres.c
Index: apps/app_voicemail2.c
===================================================================
RCS file: /usr/cvsroot/asterisk/apps/app_voicemail2.c,v
retrieving revision 1.44
diff -u -r1.44 app_voicemail2.c
--- apps/app_voicemail2.c	25 Aug 2003 15:46:18 -0000	1.44
+++ apps/app_voicemail2.c	2 Sep 2003 20:21:41 -0000
@@ -35,7 +35,7 @@
 #include &lt;sys/stat.h&gt;
 #include &lt;time.h&gt;
 #ifdef USEMYSQLVM
-#include &lt;mysql/mysql.h&gt;
+#include &lt;mysql.h&gt;
 #endif

 #include &lt;pthread.h&gt;
@@ -186,6 +186,7 @@
 ast_mutex_t mysqllock;
 char dbuser[80];
 char dbpass[80];
+char dbhost[80];
 char dbname[80];

 static int mysql_login(void)
@@ -193,11 +194,11 @@
 	ast_verbose( VERBOSE_PREFIX_3 "Logging into database with user %s, password %s, and database %s\n", dbuser, dbpass, dbname);

 	dbhandler=mysql_init(NULL);
-	if (!mysql_real_connect(dbhandler, NULL, dbuser, dbpass, dbname, 0, NULL, 0)) {
+	if (!mysql_real_connect(dbhandler, dbhost[0] ? dbhost : NULL, dbuser, dbpass, dbname, 0, NULL, 0)) {
 		ast_log(LOG_WARNING, "Error Logging into database\n");
 		return(-1);
 	}
-	ast_mutex_init(&amp;mysqllock, NULL);
+	ast_mutex_init(&amp;mysqllock);
 	return(0);
 }

@@ -2965,6 +2966,11 @@
 			strcpy(dbpass, "test");
 		} else {
 			strcpy(dbpass, s);
+		}
+		if (!(s=ast_variable_retrieve(cfg, "general", "dbhost"))) {
+			strcpy(dbhost, "");
+		} else {
+			strcpy(dbhost, s);
 		}
 		if (!(s=ast_variable_retrieve(cfg, "general", "dbname"))) {
 			strcpy(dbname, "vmdb");

